@charset "utf-8";

/* 공통 */
.c-swiper.c-swiper {
    .swiper-container {
        padding: 0;
    }
}
/* // 공통 */

/* 개별 처리 */
.event-benefit-template {
    /* 슬라이드 */
    .c-swiper--event-01 .swiper-slide {
        width: calc(270 * var(--ratio));
    }

    .c-swiper--event-02 .swiper-slide {
        width: calc(342 * var(--ratio));
    }

    .c-swiper--event-03 .swiper-slide {
        width: calc(168 * var(--ratio));
    }
    /* // 슬라이드 */

    .stanbyme-benefit-preview {
        .stanbyme-benefit-preview__linker {
            position: absolute;
        }
        .stanbyme-benefit-preview__linker--01 {
            top: 34%;
            left: 1%;
            width: 46.3%;
            height: 13%;
        }
        .stanbyme-benefit-preview__linker--02 {
            top: 34%;
            left: 52.8%;
            width: 46.3%;
            height: 13%;
        }
        .stanbyme-benefit-preview__linker--03 {
            top: 86%;
            left: 0.8%;
            width: 29.3%;
            height: 13%;
        }
        .stanbyme-benefit-preview__linker--04 {
            top: 86%;
            left: 35.5%;
            width: 29.3%;
            height: 13%;
        }
        .stanbyme-benefit-preview__linker--05 {
            top: 86%;
            left: 69.8%;
            width: 29.3%;
            height: 13%;
        }
    }

    .stanbyme-live-benefit__linker {
        position: absolute;
    }

    .stanbyme-live-benefit__linker--01 {
        top: 79%;
        left: 11%;
        width: 78.2%;
        height: 9.2%;
    }

    .more-benefit-view {
        .c-custom-accordion__area--fade {
            height: calc(61 * var(--ratio));

            &::after {
                top: auto;
                bottom: calc(-40 * var(--ratio));
                height: calc(84 * var(--ratio));
                background: linear-gradient(180deg, rgba(255, 255, 255, 0) 8.33%, #fff 61.35%);
            }
        }
    }

    .standbyme {
        .c-responsive-video__element {
            height: calc(308 * var(--ratio));
            aspect-ratio: 700 / 350;
        }
        .c-responsive-video {
            height: auto;
            aspect-ratio: unset;
            margin-top: calc(12 * var(--ratio));
        }
        video {
            overflow: hidden;
            border-radius: calc(16 * var(--ratio));
        }
    }

    .gray-mode {
        background: #f4f4f4;
        .c-tab__inner {
            background: #f4f4f4;
        }
    }

    .c-product__list--thumnail-custom-vertical {
        .c-product__image-wrapper {
            position: relative;
            width: 100%;
            aspect-ratio: 350 / 236;
        }
    }

    kakao-friend-coupon.l-article__inner {
        row-gap: 0;
        .c-title__main {
            display: none;
        }
    }
}
/* // 개별 처리 */
